Index: palm/trunk/SOURCE/land_surface_model.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model.f90	(revision 1782)
+++ palm/trunk/SOURCE/land_surface_model.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! netcdf variables moved to netcdf module
 ! 
 ! Former revisions:
@@ -132,7 +132,4 @@
     USE kinds
 
-    USE netcdf_control,                                                        &
-        ONLY:  dots_label, dots_num, dots_unit
-
     USE pegrid
 
@@ -157,12 +154,4 @@
                                nzt_soil = 3, & !< top of the soil model (to be switched)
                                nzs = 4         !< number of soil layers (fixed for now)
-
-    INTEGER(iwp) :: dots_soil = 0  !< starting index for timeseries output 
-
-    INTEGER(iwp), DIMENSION(0:1) :: id_dim_zs_xy, id_dim_zs_xz, id_dim_zs_yz,  &
-                                    id_dim_zs_3d, id_var_zs_xy,                & 
-                                    id_var_zs_xz, id_var_zs_yz, id_var_zs_3d
-                                    
-    INTEGER(iwp), DIMENSION(1:max_masks,0:1) :: id_dim_zs_mask, id_var_zs_mask
 
     REAL(wp), PARAMETER ::                     &
@@ -519,9 +508,6 @@
 
 !
-!-- Public grid and NetCDF variables
-    PUBLIC dots_soil, id_dim_zs_xy, id_dim_zs_xz, id_dim_zs_yz,                &
-           id_dim_zs_3d, id_dim_zs_mask, id_var_zs_xy, id_var_zs_xz,           &
-           id_var_zs_yz, id_var_zs_3d, id_var_zs_mask, nzb_soil, nzs, nzt_soil,&
-           zs
+!-- Public grid variables
+    PUBLIC nzb_soil, nzs, nzt_soil, zs
 
 !
@@ -928,22 +914,4 @@
                                                 statistic_regions+1 )
 
-!
-!--    Add timeseries for land surface model
-       dots_soil = dots_num + 1
-       dots_num  = dots_num + 8
-
-       dots_label(dots_soil) = "ghf_eb"
-       dots_label(dots_soil+1) = "shf_eb"
-       dots_label(dots_soil+2) = "qsws_eb"
-       dots_label(dots_soil+3) = "qsws_liq_eb"
-       dots_label(dots_soil+4) = "qsws_soil_eb"
-       dots_label(dots_soil+5) = "qsws_veg_eb"
-       dots_label(dots_soil+6) = "r_a"
-       dots_label(dots_soil+7) = "r_s"
-
-       dots_unit(dots_soil:dots_soil+5) = "W/m2"
-       dots_unit(dots_soil+6:dots_soil+7) = "s/m"
-
-
     END SUBROUTINE init_lsm
 
Index: palm/trunk/SOURCE/lpm_data_output_particles.f90
===================================================================
--- palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1782)
+++ palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! name change of netcdf routines and module + related changes
 ! 
 ! Former revisions:
@@ -65,5 +65,6 @@
     USE kinds
 
-    USE netcdf_control
+    USE netcdf_interface,                                                      &
+        ONLY:  nc_stat
 
     USE particle_attributes,                                                   &
@@ -122,5 +123,5 @@
 !                             (/ simulated_time /),        &
 !                             start = (/ prt_time_count /), count = (/ 1 /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 1 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 1 )
 ! 
 ! !
@@ -129,5 +130,5 @@
 !                             (/ number_of_particles /),   &
 !                             start = (/ prt_time_count /), count = (/ 1 /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 2 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 2 )
 ! 
 ! !
@@ -136,45 +137,45 @@
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 3 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 3 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(2), particles%dvrp_psize,&
 !                             start = (/ 1, prt_time_count /),                &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 4 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 4 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(3), particles%origin_x, &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 5 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 5 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(4), particles%origin_y, &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 6 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 6 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(5), particles%origin_z, &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 7 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 7 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(6), particles%radius,   &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 8 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 8 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(7), particles%speed_x,  &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 9 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 9 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(8), particles%speed_y,  &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 10 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 10 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(9), particles%speed_z,  &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 11 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 11 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt,id_var_prt(10),                     &
@@ -182,30 +183,30 @@
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 12 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 12 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(11), particles%x,       &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 13 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 13 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(12), particles%y,       &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 14 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 14 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(13), particles%z,       &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 15 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 15 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(14), particles%class,   &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 16 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 16 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(15), particles%group,   &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 17 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 17 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(16),                    &
@@ -213,10 +214,10 @@
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 18 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 18 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(17), particles%tail_id, &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 19 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 19 )
 ! 
 #endif
Index: palm/trunk/SOURCE/lpm_exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1782)
+++ palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! new netcdf-module included
 ! 
 ! Former revisions:
@@ -70,5 +70,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  dz, message_string, netcdf_data_format, simulated_time
+        ONLY:  dz, message_string, simulated_time
 
     USE cpulog,                                                                &
@@ -85,4 +85,7 @@
     USE lpm_pack_arrays_mod,                                                   &
         ONLY:  lpm_pack_arrays
+
+    USE netcdf_interface,                                                      &
+        ONLY:  netcdf_data_format
 
     USE particle_attributes,                                                   &
Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 1782)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! netcdf module added
 ! 
 ! Former revisions:
@@ -108,6 +108,5 @@
     USE control_parameters,                                                    &
         ONLY:  cloud_droplets, constant_flux_layer, current_timestep_number,   &
-               dz, initializing_actions, message_string, netcdf_data_format,   &
-               ocean, simulated_time
+               dz, initializing_actions, message_string, ocean, simulated_time
 
     USE dvrp_variables,                                                        &
@@ -125,4 +124,7 @@
     USE lpm_collision_kernels_mod,                                             &
         ONLY:  init_kernels
+
+    USE netcdf_interface,                                                      &
+        ONLY:  netcdf_data_format
 
     USE particle_attributes,                                                   &
Index: palm/trunk/SOURCE/lpm_release_set.f90
===================================================================
--- palm/trunk/SOURCE/lpm_release_set.f90	(revision 1782)
+++ palm/trunk/SOURCE/lpm_release_set.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! module control_parameters removed
 ! 
 ! Former revisions:
@@ -58,7 +58,4 @@
  SUBROUTINE lpm_release_set
  
-
-    USE control_parameters,                                                    &
-        ONLY:  iran, message_string, netcdf_data_format
 
     USE lpm_init_mod,                                                          &
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1782)
+++ palm/trunk/SOURCE/modules.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-!
+! netcdf variables moved to the netcdf-interface module
 !
 ! Former revisions:
@@ -614,6 +614,5 @@
                              return_addres, return_username, &
                              timestep_scheme = 'runge-kutta-3'                             
-    CHARACTER (LEN=40)   ::  avs_data_file, output_format_netcdf, &
-                             topography = 'flat'
+    CHARACTER (LEN=40)   ::  avs_data_file, topography = 'flat'
     CHARACTER (LEN=64)   ::  host = ' '
     CHARACTER (LEN=80)   ::  log_message, run_identifier
@@ -629,6 +628,4 @@
     CHARACTER (LEN=20), DIMENSION(300) ::  data_output_pr = ' '
     CHARACTER (LEN=20), DIMENSION(200) ::  data_output_pr_user = ' '
-    CHARACTER (LEN=20), DIMENSION(11)  ::  netcdf_precision = ' '
-
     CHARACTER (LEN=20), DIMENSION(max_masks,0:1,100) ::  domask = ' '
     CHARACTER (LEN=20), DIMENSION(0:1,100) ::  do2d = ' ', do3d = ' '
@@ -653,5 +650,5 @@
                      maximum_parallel_io_streams = -1, max_pr_user = 0, &
                      mgcycles = 0, mg_cycles = -1, mg_switch_to_pe0_level = 0, mid, &
-                     nlsf = 1000, ntnudge = 1000, netcdf_data_format = 2, ngsrb = 2, &
+                     nlsf = 1000, ntnudge = 1000, ngsrb = 2, &
                      nr_timesteps_this_run = 0, &
                      nsor = 20, nsor_ini = 100, n_sor, normalizing_region = 0, &
@@ -1153,148 +1150,4 @@
 
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Definition of parameters and variables for netcdf control.
-!------------------------------------------------------------------------------!
- MODULE netcdf_control
-
-    USE control_parameters, ONLY: max_masks
-    USE kinds
-#if defined( __netcdf )
-    USE netcdf
-#endif
-
-    INTEGER(iwp), PARAMETER ::  dopr_norm_num = 7, dopts_num = 29, dots_max = 100
-
-    INTEGER(iwp) ::  dots_num = 23
-
-    CHARACTER (LEN=6), DIMENSION(dopr_norm_num) ::  dopr_norm_names =          &
-         (/ 'wpt0  ', 'ws2   ', 'tsw2  ', 'ws3   ', 'ws2tsw', 'wstsw2',        &
-            'z_i   ' /)
-
-    CHARACTER (LEN=6), DIMENSION(dopr_norm_num) ::  dopr_norm_longnames =      &
-         (/ 'wpt0  ', 'w*2   ', 't*w2  ', 'w*3   ', 'w*2t*w', 'w*t*w2',        &
-            'z_i   ' /)
-
-    CHARACTER (LEN=7), DIMENSION(dopts_num) :: dopts_label =                   &
-          (/ 'tnpt   ', 'x_     ', 'y_     ', 'z_     ', 'z_abs  ', 'u      ', &
-             'v      ', 'w      ', 'u"     ', 'v"     ', 'w"     ', 'npt_up ', &
-             'w_up   ', 'w_down ', 'radius ', 'r_min  ', 'r_max  ', 'npt_max', &
-             'npt_min', 'x*2    ', 'y*2    ', 'z*2    ', 'u*2    ', 'v*2    ', &
-             'w*2    ', 'u"2    ', 'v"2    ', 'w"2    ', 'npt*2  ' /)
-
-    CHARACTER (LEN=7), DIMENSION(dopts_num) :: dopts_unit =                    &
-          (/ 'number ', 'm      ', 'm      ', 'm      ', 'm      ', 'm/s    ', &
-             'm/s    ', 'm/s    ', 'm/s    ', 'm/s    ', 'm/s    ', 'number ', &
-             'm/s    ', 'm/s    ', 'm      ', 'm      ', 'm      ', 'number ', &
-             'number ', 'm2     ', 'm2     ', 'm2     ', 'm2/s2  ', 'm2/s2  ', &
-             'm2/s2  ', 'm2/s2  ', 'm2/s2  ', 'm2/s2  ', 'number2' /)
-
-    CHARACTER (LEN=13), DIMENSION(dots_max) :: dots_label =                    &
-          (/ 'E            ', 'E*           ', 'dt           ',                &
-             'u*           ', 'th*          ', 'umax         ',                &
-             'vmax         ', 'wmax         ', 'div_new      ',                &
-             'div_old      ', 'z_i_wpt      ', 'z_i_pt       ',                &
-             'w*           ', 'w"pt"0       ', 'w"pt"        ',                &
-             'wpt          ', 'pt(0)        ', 'pt(z_mo)     ',                &
-             'w"u"0        ', 'w"v"0        ', 'w"q"0        ',                &
-             'ol           ', 'q*           ',                                 &
-             ( 'unknown      ', i9 = 1, dots_max-23 ) /)
-
-    CHARACTER (LEN=13), DIMENSION(dots_max) :: dots_unit =                     &
-          (/ 'm2/s2        ', 'm2/s2        ', 's            ',                &
-             'm/s          ', 'K            ', 'm/s          ',                &
-             'm/s          ', 'm/s          ', 's-1          ',                &
-             's-1          ', 'm            ', 'm            ',                &
-             'm/s          ', 'K m/s        ', 'K m/s        ',                &
-             'K m/s        ', 'K            ', 'K            ',                &
-             'm2/s2        ', 'm2/s2        ', 'kg m/s       ',                &
-             'm            ', 'kg/kg        ',                                 &
-             ( 'unknown      ', i9 = 1, dots_max-23 ) /)
-
-    CHARACTER (LEN=9), DIMENSION(300) ::  dopr_unit = 'unknown'
-
-    CHARACTER (LEN=7), DIMENSION(0:1,100) ::  do2d_unit, do3d_unit
-
-    CHARACTER (LEN=16), DIMENSION(25) ::  prt_var_names = &
-          (/ 'pt_age          ', 'pt_dvrp_size    ', 'pt_origin_x     ', &
-             'pt_origin_y     ', 'pt_origin_z     ', 'pt_radius       ', &
-             'pt_speed_x      ', 'pt_speed_y      ', 'pt_speed_z      ', &
-             'pt_weight_factor', 'pt_x            ', 'pt_y            ', &
-             'pt_z            ', 'pt_color        ', 'pt_group        ', &
-             'pt_tailpoints   ', 'pt_tail_id      ', 'pt_density_ratio', &
-             'pt_exp_arg      ', 'pt_exp_term     ', 'not_used        ', &
-             'not_used        ', 'not_used        ', 'not_used        ', &
-             'not_used        ' /)
-
-    CHARACTER (LEN=16), DIMENSION(25) ::  prt_var_units = &
-          (/ 'seconds         ', 'meters          ', 'meters          ', &
-             'meters          ', 'meters          ', 'meters          ', &
-             'm/s             ', 'm/s             ', 'm/s             ', &
-             'factor          ', 'meters          ', 'meters          ', &
-             'meters          ', 'none            ', 'none            ', &
-             'none            ', 'none            ', 'ratio           ', &
-             'none            ', 'none            ', 'not_used        ', &
-             'not_used        ', 'not_used        ', 'not_used        ', &
-             'not_used        ' /)
-
-    INTEGER(iwp) ::  id_dim_prtnum, id_dim_time_pr, id_dim_time_prt, &
-                     id_dim_time_pts, id_dim_time_sp, id_dim_time_ts, id_dim_x_sp, &
-                     id_dim_y_sp, id_dim_zu_sp, id_dim_zw_sp, id_set_pr, &
-                     id_set_prt, id_set_pts, id_set_sp, id_set_ts, id_var_prtnum, &
-                     id_var_rnop_prt, id_var_time_pr, id_var_time_prt, &
-                     id_var_time_pts, id_var_time_sp, id_var_time_ts, id_var_x_sp, &
-                     id_var_y_sp, id_var_zu_sp, id_var_zw_sp, nc_stat
-
-    INTEGER(iwp), DIMENSION(0:1) ::  id_dim_time_xy, id_dim_time_xz, &
-                    id_dim_time_yz, id_dim_time_3d, id_dim_x_xy, id_dim_xu_xy, &
-                    id_dim_x_xz, id_dim_xu_xz, id_dim_x_yz, id_dim_xu_yz, &
-                    id_dim_x_3d, id_dim_xu_3d, id_dim_y_xy, id_dim_yv_xy, &
-                    id_dim_y_xz, id_dim_yv_xz, id_dim_y_yz, id_dim_yv_yz, &
-                    id_dim_y_3d, id_dim_yv_3d, id_dim_zu_xy, id_dim_zu1_xy, &
-                    id_dim_zu_xz, id_dim_zu_yz, id_dim_zu_3d, id_dim_zw_xy, &
-                    id_dim_zw_xz, id_dim_zw_yz, id_dim_zw_3d, id_set_xy, &
-                    id_set_xz, id_set_yz, id_set_3d, id_var_ind_x_yz, &
-                    id_var_ind_y_xz, id_var_ind_z_xy, id_var_time_xy, &
-                    id_var_time_xz, id_var_time_yz, id_var_time_3d, id_var_x_xy, &
-                    id_var_xu_xy, id_var_x_xz, id_var_xu_xz, id_var_x_yz, &
-                    id_var_xu_yz, id_var_x_3d, id_var_xu_3d, id_var_y_xy, &
-                    id_var_yv_xy, id_var_y_xz, id_var_yv_xz, id_var_y_yz, &
-                    id_var_yv_yz, id_var_y_3d, id_var_yv_3d, id_var_zusi_xy, &
-                    id_var_zusi_3d, id_var_zu_xy, id_var_zu1_xy, id_var_zu_xz, &
-                    id_var_zu_yz, id_var_zu_3d, id_var_zwwi_xy, id_var_zwwi_3d, &
-                    id_var_zw_xy, id_var_zw_xz, id_var_zw_yz, id_var_zw_3d
-
-    INTEGER(iwp), DIMENSION(10)  ::  id_var_dospx, id_var_dospy
-    INTEGER(iwp), DIMENSION(20)  ::  id_var_prt
-    INTEGER(iwp), DIMENSION(11)  ::  nc_precision
-    INTEGER(iwp), DIMENSION(dopr_norm_num) ::  id_var_norm_dopr
-
-    INTEGER(iwp), DIMENSION(dopts_num,0:10) ::  id_var_dopts
-    INTEGER(iwp), DIMENSION(0:1,100)        ::  id_var_do2d, id_var_do3d
-    INTEGER(iwp), DIMENSION(100,0:9)        ::  id_dim_z_pr, id_var_dopr, &
-                                               id_var_z_pr
-    INTEGER(iwp), DIMENSION(dots_max,0:9)   ::  id_var_dots
-
-!
-!-- masked output
-    CHARACTER (LEN=7), DIMENSION(max_masks,0:1,100) ::  domask_unit
-
-    LOGICAL ::  output_for_t0 = .FALSE.
-
-    INTEGER(iwp), DIMENSION(1:max_masks,0:1) ::  id_dim_time_mask, id_dim_x_mask, &
-                   id_dim_xu_mask, id_dim_y_mask, id_dim_yv_mask, id_dim_zu_mask, &
-                   id_dim_zw_mask, &
-                   id_set_mask, &
-                   id_var_time_mask, id_var_x_mask, id_var_xu_mask, &
-                   id_var_y_mask, id_var_yv_mask, id_var_zu_mask, id_var_zw_mask, &
-                   id_var_zusi_mask, id_var_zwwi_mask
-
-    INTEGER(iwp), DIMENSION(1:max_masks,0:1,100)         ::  id_var_domask
-
-    SAVE
-
- END MODULE netcdf_control
 
 
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 1782)
+++ palm/trunk/SOURCE/palm.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! required user interface version changed
 !
 ! Former revisions:
@@ -186,5 +186,5 @@
 
     version = 'PALM 4.0'
-    user_interface_required_revision = 'r1663'
+    user_interface_required_revision = 'r1783'
 
 #if defined( __parallel )
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1782)
+++ palm/trunk/SOURCE/parin.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! +netcdf_deflate in d3par, netcdf module and variable names changed
 !
 ! Former revisions:
@@ -206,4 +206,7 @@
 
     USE pegrid
+
+    USE netcdf_interface,                                                      &
+        ONLY:  netcdf_data_format, netcdf_deflate, netcdf_precision
 
     USE pmc_interface,                                                         &
@@ -297,12 +300,12 @@
              dt_run_control,end_time, force_print_header, mask_scale_x,        &
              mask_scale_y, mask_scale_z, mask_x, mask_y, mask_z, mask_x_loop,  &
-             mask_y_loop, mask_z_loop, netcdf_data_format, normalizing_region, &
-             npex, npey, nz_do3d, precipitation_amount_interval,               &
-             profile_columns, profile_rows, restart_time, section_xy,          &
-             section_xz, section_yz, skip_time_data_output,                    &
-             skip_time_data_output_av, skip_time_dopr, skip_time_do2d_xy,      &
-             skip_time_do2d_xz, skip_time_do2d_yz, skip_time_do3d,             &
-             skip_time_domask, synchronous_exchange, termination_time_needed,  &
-             z_max_do2d
+             mask_y_loop, mask_z_loop, netcdf_data_format, netcdf_deflate,     &
+             normalizing_region, npex, npey, nz_do3d,                          &
+             precipitation_amount_interval, profile_columns, profile_rows,     &
+             restart_time, section_xy, section_xz, section_yz,                 &
+             skip_time_data_output, skip_time_data_output_av, skip_time_dopr,  &
+             skip_time_do2d_xy, skip_time_do2d_xz, skip_time_do2d_yz,          &
+             skip_time_do3d, skip_time_domask, synchronous_exchange,           &
+             termination_time_needed, z_max_do2d
 
 
Index: palm/trunk/SOURCE/pmc_client.f90
===================================================================
--- palm/trunk/SOURCE/pmc_client.f90	(revision 1782)
+++ palm/trunk/SOURCE/pmc_client.f90	(revision 1783)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! Bugfix: wrong data-type in MPI_WIN_CREATE replaced
 !
 ! Former revisions:
@@ -263,10 +263,10 @@
 
        ALLOCATE(myInd(2*WinSize))
-       WinSize = WinSize*c_sizeof(i)
+       WinSize = 1
 
 !      local Buffer used in MPI_Get can but must not be inside the MPI Window
 !      Here, we use a dummy for MPI Window because the server PEs do not access the RMA window via MPI_get or MPI_Put
 
-       CALL MPI_Win_create (dummy, 1, iwp, MPI_INFO_NULL, me%intra_comm, indWin2, ierr);
+       CALL MPI_Win_create (dummy, WinSize, iwp, MPI_INFO_NULL, me%intra_comm, indWin2, ierr);
 
        CALL MPI_Win_fence (0, indWin2, ierr)    ! MPI_get is Non-blocking -> data in NrEle is not available until MPI_fence CALL
